       program-id. occ-fix.
       environment division.
       input-output section.
       file-control.
           select file1 assign to "file1"
                 organization is indexed
                 access is dynamic
                 record key is file1-key
                 file status is file1-status.
       data division.
       file section.
       fd  file1.
       01  file1-rec.
           02 file1-key        pic 99.
           02 file1-group.
              03 file1-element occurs 900.
                 05 file1-cod  pic 9(3).
                 05 file1-desc pic x(20).
                 05 file1-note pic x(100).
           02 file1-field2     pic x(20).
       working-storage section.
       78  max-element         value 900.
       77  file1-status        pic xx.
       01  w-group.
           03 w-element        occurs max-element.
              05 w-cod         pic 9(3).
              05 w-desc        pic x(20).
              05 w-note        pic x(100).
       01  w-group2.
           03 w-element2       occurs max-element.
              05 w-cod2        pic 9(3).
              05 w-desc2       pic x(20).
              05 w-note2       pic x(100).
       77  ind                 pic 9(3).
       procedure division.
       main.
           initialize w-group
           move 1 to w-cod(1)
           move "aa" to w-desc(1)
           move "desc of aa" to w-note(1)
           move 2 to w-cod(2)
           move "bb" to w-desc(2)
           move "desc of bb" to w-note(2)

           if w-group = w-group2
              display "equal"
           else
              display "different"
           end-if

           move w-group to w-group2
           if w-group = w-group2
              display "equal"
           else
              display "different"
           end-if
           display "w-desc2(1)=" w-desc2(1)
           
           
           perform varying ind from 1 by 1 until ind > max-element
              if w-desc(ind) not = spaces
                 if w-desc(ind) = w-desc2(ind)
                    display "w-desc(ind)=" w-desc(ind)
                 end-if
              else
                 exit perform
              end-if
           end-perform
           
           sort w-element on descending w-cod

           display "w-desc(1)=" w-desc(1)
           display "w-desc(2)=" w-desc(2)

           move w-group2 to w-group
           move w-group to file1-group
           display "file1-desc(1)=" file1-desc(1)

           if w-group = file1-group
              display "equal"
           else
              display "different"
           end-if

           call "prog2" using w-group          

           goback.
